//"cfgSurfaces.hpp"
#ifdef comment
And as usual, an explanation of all relevant parameters :

files - Actual link between this surface definition and texture filename.Supports * andthus name does not have to be complete(in case of handling multiple textures by one surface definition).If linked texture is used on the terrain, its considered as a terrain surface, otherwise its roadway surface.
friction - Coefficient of friction.
restitution - Coefficient of restitution is related to the amount of the original kinetic
energy that is "restored" to the object(s) after collision(see https ://www.youtube.com/watch?v=fn_xanuLJiE for more info).
vpSurface - Defines parameters for vehicle simulation.Available values are :

*"Asphalt"
* "Dirt"
* "Grass"
* "Forest"
* "Gravel"
* Take a look into Vehicle surfaces section of this page to get more info on how to configure new types of vehicle surfaces.

soundEnviron - Defines a sound controller that is going to be used on this surface type(only applies to vehicles in DayZ).Available values are :

*"road"
* "rock"
* "dirt"
* "grass"

soundHit - Defines a sound effect played when bullet hits the surface.

* "hard_ground"
* "soft_ground"
* "metal"
* "metal_plate"
* "glass"
* "glass_armored"
* "wood"
* "plastic"
* "concrete"
* "tyre"
* "water"

character - Defines a CfgSurfaceCharacters class for a grass - clutter definition(only works on terrain surfaces).
footDamage - Defines a chance for a character to get a bleeding wound when walking on this surface without shoes.
audibility - Multiplies a noise created by the player characters or bullet impacts on this surface.
isDigable - 1 for allowing to dig in surface(hidden stash, base building objects, ..), 0 to disallow digging(hard surfaces).
isFertile - 1 for allowing to dig wormsand digging farming plots. 0 to disallow.
impact - Defines a particle effect created when a bullet hits the surface.Available values are :

*"Hit_Plastic"
* "Hit_Sand"
* "Hit_Textile"
* "Hit_Concrete"
* "Hit_Gravel"
* "Hit_Dirt"
* "Hit_Foliage"
* "Hit_Grass"
* "Hit_Wood"
* "Hit_Metal"
* "Hit_Glass"
* "Hit_Water"
* "Hit_Rubber"
* "Hit_Plaster"
* "Hit_MeatBones"
* Look into Scripts\3_Game\ImpactEffects.c to get an idea how impact effects are defined.

deflection - Multiplier of a bullet deflecting value.

Additionally, CfgSurfaces entry can also contain following :

isLiquid - Defines if this surface should be considered as water by the game(1) or not (0).
liquidType - If isLiquid is set to 1, then this parameter is required.Contains type value from the cfgLiquidDefinitions config class.Take a look into dz\data\config.cpp to get an idea of all available liquid types in the game(use the number from type).


Foot steps sounds

While vehicle sounds definition is handled by the soundEnviron parameterand as long 
as you define existing sound controller into soundEnviron, 
correct sounds of wheels on a surface will be played.

Characterand ai surface - related sounds have to be handled differently 
though.Any new surface types has to be mentioned within the game 
config class CfgSoundTables > CfgStepSoundTables.Due to the complexity of this config, 
it is recommended to use config macros, which will be executed during binarizationand 
will generate all the necessary entries for your newly added surface.

Take a look on the following example to get an idea how to create a sound table 
for animal, characterand infected.There are 3 individual code - blocks(animals, i
	nfected and character) that ideally should be put into separate include files(hpp extension)
	and then 1 code - block, which contains the part of the config that should be used
	within your config.cpp(note the paths for include have to be correct otherwise 
		binarization wont be able to process your config).


#endif

class CfgSurfaces
{
	class DZ_SurfacesInt; // for interior surface
	class DZ_SurfacesExt; // for exterior surface

	class my_surface : DZ_SurfacesExt
	{
		files = "actualtexturename*";

		friction = 0.98;
		restitution = 0.55;
		vpSurface =  "Asphalt";

		soundEnviron = road;
		soundHit = "hard_ground";

		character = "cp_concrete_grass";

		footDamage = 0.117;
		audibility = 1.0;
		isDigable = 1;
		isFertile = 1;

		impact = "Hit_Concrete";
		deflection = 0.1;
	};
};
/*
* class CfgSoundShaders
{
	class BirdWalk_road_SoundShader
	{
		samples[] = {{"DZ\sounds\ai\animals\movement\bird\mud\step_1",0.125},{"DZ\sounds\ai\animals\movement\bird\mud\step_2",0.125},{"DZ\sounds\ai\animals\movement\bird\mud\step_3",0.125},{"DZ\sounds\ai\animals\movement\bird\mud\step_4",0.125},{"DZ\sounds\ai\animals\movement\bird\mud\step_5",0.125},{"DZ\sounds\ai\animals\movement\bird\mud\step_6",0.125},{"DZ\sounds\ai\animals\movement\bird\mud\step_7",0.125},{"DZ\sounds\ai\animals\movement\bird\mud\step_8",0.125}};
		volume = 0.5011872;
		range = 50;
		rangeCurve = "defaultAnimalAttenuationCurve";
	};
};
class CfgSoundSets
{	
	class BirdWalk_road_SoundSet
	{
		sound3DProcessingType = "animal3DProcessingType";
		volumeCurve = "animalAttenuationCurve";
		spatial = 1;
		doppler = 0;
		loop = 0;
		soundShaders[] = {"BirdWalk_road_SoundShader"};
	};
};
*/
class CfgSoundTables
{
	class CfgStepSoundTables
	{
		#include "animals.hpp"
		#include "infected.hpp"
		#include "character.hpp"
	};
};
