//character.hpp
/*
soundets
 * asphalt_ext, asphalt_int
 * asphalt_felt_ext, asphalt_felt_int
 * cp_broadleaf_dense1
 * cp_grass_tall
 * concrete_ext, concrete_int
 * ceramic_tiles_ext, ceramic_tiles_int
 * dirt_ext, dirt_int
 * grass_dry_ext, grass_dry_int
 * gravel_small_ext, gravel_small_int
 * metal_thick_ext, metal_thick_int
 * metal_thin_ext, metal_thin_int
 * metal_thin_mesh_ext, metal_thin_mesh_int
 * gravel_small_ext, gravel_small_int
 * sand_ext, sand_int
 * textile_carpet_ext, textile_carpet_int
 * wood_parquet_ext, wood_parquet_int
 * wood_planks_ext, wood_planks_int
 * water
*/
#define CHAR_STEP_LOOKUPTABLE(movementtype)\
class ##movementtype##_Char_LookupTable\
{
//walkErc_Char_LookupTable

#define	CHAR_STEP_CLASS(movementtype, CfgSurfaceName, surfacesound)\
	class ##movementtype##_##CfgSurfaceName##\
	{\
		surface = ##CfgSurfaceName##;\
		soundSets[] ={##movementtype##_##surfacesound##_Char_Soundset};\
	}
CHAR_STEP_LOOKUPTABLE(walkErc);
	CHAR_STEP_CLASS(walkErc, asphalt_ext, asphalt_ext);
	CHAR_STEP_CLASS(walkErc, sakhal_grass_brown, sakhal_grass_brown);

#ifdef never
CHAR_STEP_LOOKUPTABLE(walkRasErc)
CHAR_STEP_LOOKUPTABLE(runErc)
CHAR_STEP_LOOKUPTABLE(runRasErc)
CHAR_STEP_LOOKUPTABLE(sprintErc)
CHAR_STEP_LOOKUPTABLE(landFootErc)
CHAR_STEP_LOOKUPTABLE(landFeetErc)
CHAR_STEP_LOOKUPTABLE(scuffErc)
CHAR_STEP_LOOKUPTABLE(walkCro)
CHAR_STEP_LOOKUPTABLE(runCro)
CHAR_STEP_LOOKUPTABLE(jumpErc)
#endif
END_TABLE;
#define CHAR_STEP_PRONE_LOOKUPTABLE(movementtype)\
class ##movementtype##_Char_LookupTable\
{
//walkProne_Char_LookupTable


#define CHAR_STEP_PRONE_CLASS(movementtype, CfgSurfaceName, surfacesound)\

CHAR_STEP_PRONE_LOOKUPTABLE(walkProne)
CHAR_STEP_CLASS(walkProne, sakhal_ice_lake, sakhal_ice_lake);
CHAR_STEP_CLASS(walkProne, sakhal_ice_sea, sakhal_ice_lake);
END_TABLE;

//CHAR_STEP_PRONE_LOOKUPTABLE(runProne)


#define CHAR_STEP_PRONE_LOOKUPTABLE_NOHS(movementtype)\
class ##movementtype##_noHS_Char_LookupTable\
{
//walkProne_noHS_Char_LookupTable


#define CHAR_STEP_PRONE_CLASS_NOHS(movementtype,CfgSurfaceName, surfacesound)\
	class ##movementtype##_##CfgSurfaceName##\
	{\
		surface = ##CfgSurfaceName##;\
		soundSets[] ={##movementtype##_noHS_##surfacesound##_Char_Soundset};\
	}

CHAR_STEP_PRONE_LOOKUPTABLE_NOHS(walkProne)
CHAR_STEP_PRONE_CLASS_NOHS(walkProne, sakhal_ice_lake, sakhal_ice_lake);
CHAR_STEP_PRONE_CLASS_NOHS(walkProne, sakhal_ice_sea, sakhal_ice_lake);
//CHAR_STEP_PRONE_LOOKUPTABLE_NOHS(walkProneLong)
END_TABLE;

#define CHAR_HANDSTEP_LOOKUPTABLE_SOUND\
class handstepSound_Char_LookupTable\
{

#define CHAR_HANDSTEP_CLASS(CfgSurfaceName,surfacesound)\
	class handstepSound_##CfgSurfaceName##\
	{\
		surface = ##CfgSurfaceName##;\
		soundSets[] ={Handstep_##surfacesound##_Char_SoundSet};\
	}


CHAR_HANDSTEP_LOOKUPTABLE_SOUND
CHAR_HANDSTEP_CLASS(sakhal_ice_sea, sakhal_ice_lake);
CHAR_HANDSTEP_CLASS(sakhal_ice_lake, sakhal_ice_lake);
END_TABLE;

#define CHAR_HANDSTEP_LOOKUPTABLE_HARD
class handstepSound_Hard_Char_LookupTable\
{

#define	CHAR_HANDSTEP_CLASS_HARD(CfgSurfaceName, surfacesound)\
	class handstepSound_Hard_##CfgSurfaceName##\
	{\
		surface = ##CfgSurfaceName##;\
		soundSets[] ={Handstep_Hard_##surfacesound##_Char_SoundSet};\
	}
	CHAR_HANDSTEP_LOOKUPTABLE_HARD
	CHAR_HANDSTEP_CLASS_HARD(sakhal_ice_sea, sakhal_ice_lake);
	CHAR_HANDSTEP_CLASS_HARD(sakhal_ice_lake, sakhal_ice_lake);
	END_TABLE;


#define CHAR_BODYFALL_LOOKUPTABLE(shadername)\
class ##shadername##Sound_Char_LookupTable\
{
//	bodyfallSound_Char_LookupTable
#define CHAR_BODYFALL_CLASS(shadername,CfgSurfaceName,surfacesound)\
	class ##shadername##Sound_##CfgSurfaceName##\
	{\
		surface = ##CfgSurfaceName##;\
	    soundSets[] ={##shadername##_##surfacesound##_Char_SoundSet};\
	}
	CHAR_BODYFALL_LOOKUPTABLE(bodyfall)
		CHAR_BODYFALL_CLASS(bodyfall, sakhal_ice_lake, sakhal_ice_lake);
	CHAR_BODYFALL_CLASS(bodyfall, sakhal_ice_sea, sakhal_ice_lake);
	END_TABLE;
#ifdef never
CHAR_BODYFALL_LOOKUPTABLE(bodyfall_hand)
CHAR_BODYFALL_LOOKUPTABLE(bodyfall_roll)
CHAR_BODYFALL_LOOKUPTABLE(bodyfall_rollHard)
CHAR_BODYFALL_LOOKUPTABLE(bodyfall_slide)
CHAR_BODYFALL_LOOKUPTABLE(bodyfall_slide_light)
CHAR_BODYFALL_LOOKUPTABLE(bodyfall_hand_light)
#endif


#define CHAR_STEP_LADDER_LOOKUPTABLE\
class step_ladder_Char_LookupTable\
{
#define CHAR_STEP_LADDER_CLASS(CfgSurfaceName)\
	class handstepSound_##CfgSurfaceName##\
	{\
		surface = ##CfgSurfaceName##;\
        soundSets[] ={step_ladder_Char_Soundset};\
	}
CHAR_STEP_LADDER_LOOKUPTABLE
CHAR_STEP_LADDER_CLASS(asphalt_ext);
CHAR_STEP_LADDER_CLASS(asphalt_destroyed_ext);
END_TABLE;

#define CHAR_STEP_LADDER_RUN_LOOKUPTABLE\
class step_ladder_run_Char_LookupTable\
{

#define CHAR_STEP_LADDER_RUN_CLASS(CfgSurfaceName)\
	class handstepSound_##CfgSurfaceName##\
	{\
		surface = ##CfgSurfaceName##;\
        soundSets[] ={step_ladder_run_Char_Soundset};\
	}

CHAR_STEP_LADDER_RUN_LOOKUPTABLE
CHAR_STEP_LADDER_RUN_CLASS(asphalt_ext);
CHAR_STEP_LADDER_RUN_CLASS(asphalt_destroyed_ext);
END_TABLE;
