//infected.hpp

/*surfacesounds
 * asphalt_ext, asphalt_int
 * forestBroadleaf
 * grass
 * dirt_ext, dirt_int
 * gravelSmall_ext, gravelSmall_int
 * gravelLarge_ext, gravelLarge_int
 * linoleum_ext, linoleum_int
 * metal_ext, metal_int
 * rubbleLarge_ext, rubbleLarge_int
 * sand_ext, sand_int
 * asphalt_ext, asphalt_int
 * woodParquet_ext, woodParquet_int
 * woodPlanks_ext, woodPlanks_int
*/
#define ZMB_BODYFALL_LOOKUPTABLE(shadername)\
class ##shadername##_Zmb_LookupTable\
{
//bodyfall_Zmb_LookupTable
#define ZMB_BODYFALL_CLASS(shadername,cfgSurfaceName,surfacesound)\
	class ##shadername##_##cfgSurfaceName##\
	{\
		surface = ##cfgSurfaceName##;\
		soundSets[] ={##shadername##_##surfacesound##_Zmb_SoundSet};\
	}

ZMB_BODYFALL_LOOKUPTABLE(bodyfall)
ZMB_BODYFALL_CLASS(bodyfall, asphalt_ext, asphalt_ext);
ZMB_BODYFALL_CLASS(bodyfall, asphalt_destroyed_ext, asphalt_ext);

#ifdef done
ZMB_BODYFALL_LOOKUPTABLE(bodyfall_hand);
ZMB_BODYFALL_LOOKUPTABLE(bodyfall_slide);
#endif
END_TABLE;

#define ZMB_STEP_LOOKUPTABLE_BARE(movementtype)\
class ##movementtype##_Bare_Zmb_LookupTable\
{
//walkErc_Bare_Zmb_LookupTable
#define ZMB_STEP_BARE_CLASS(movementtype,CfgSurfaceName,surfacesound)\
class ##movementtype##_##CfgSurfaceName##\
{\
	surface = ##CfgSurfaceName##;\
	soundSets[] ={##movementtype##_##surfacesound##_bare_Zmb_Soundset};\
}

ZMB_STEP_LOOKUPTABLE_BARE(walkErc);
ZMB_STEP_BARE_CLASS(walkErc, asphalt_ext, asphalt_ext);
ZMB_STEP_BARE_CLASS(walkErc, asphalt_destroyed_ext, asphalt_ext);


#ifdef done
	ZMB_STEP_LOOKUPTABLE(runErc);
	ZMB_STEP_LOOKUPTABLE(sprintErc);
	ZMB_STEP_LOOKUPTABLE(landFeetErc);
	ZMB_STEP_LOOKUPTABLE(scuffErc);
#endif
END_TABLE;

#define ZMB_STEP_LOOKUPTABLE_BARE2(targetmovement)\
class ##targetmovement##_Bare_Zmb_LookupTable\
{
	//walkRasErc_Bare_Zmb_LookupTable

	ZMB_STEP_LOOKUPTABLE_BARE2(walkRasErc);
	ZMB_STEP_BARE_CLASS(walkErc, asphalt_ext, asphalt_ext);
	ZMB_STEP_BARE_CLASS(walkErc, asphalt_destroyed_ext, asphalt_ext);
	END_TABLE;
#ifdef done
	ZMB_STEP_LOOKUPTABLE(runErc, runRasErc)
		ZMB_STEP_LOOKUPTABLE(runErc, landFootErc)
		ZMB_STEP_LOOKUPTABLE(walkErc, walkCro)
		ZMB_STEP_LOOKUPTABLE(runErc, runCro)
		ZMB_STEP_LOOKUPTABLE(runErc, jumpErc)

#endif
		//  macros for generating sound lookup tables

#define ZMB_STEP_LOOKUPTABLE_BOOTS(movementtype)\
class ##movementtype##_Boots_Zmb_LookupTable\
{
//walkErc_Boots_Zmb_LookupTable
#define ZMB_STEP_BOOTS_CLASS(movementtype,CfgSurfaceName,surfacesound)\
class ##movementtype##_##CfgSurfaceName##\
{\
	surface = ##CfgSurfaceName##;\
	soundSets[] ={##movementtype##_##surfacesound##_Boots_Zmb_Soundset};\
}

ZMB_STEP_LOOKUPTABLE_BOOTS(walkErc);
ZMB_STEP_BOOTS_CLASS(walkErc, asphalt_ext, asphalt_ext);
ZMB_STEP_BOOTS_CLASS(walkErc, asphalt_destroyed_ext, asphalt_ext);
END_TABLE;
#ifdef dpme
ZMB_STEP_LOOKUPTABLE_BOOTS(runErc)
ZMB_STEP_LOOKUPTABLE_BOOTS(sprintErc)
ZMB_STEP_LOOKUPTABLE_BOOTS(landFeetErc)
ZMB_STEP_LOOKUPTABLE_BOOTS(scuffErc)
#endif

//			RasErc_Boots_Zmb_LookupTable
ZMB_STEP_LOOKUPTABLE_BOOTS(RasErc);
ZMB_STEP_BOOTS_CLASS(walkErc, asphalt_ext, asphalt_ext);
ZMB_STEP_BOOTS_CLASS(walkErc, asphalt_destroyed_ext, asphalt_ext);
END_TABLE;

#ifdef dpme
ZMB_STEP_LOOKUPTABLE_BOOTS2(runErc, runRasErc)
ZMB_STEP_LOOKUPTABLE_BOOTS2(runErc, landFootErc)
ZMB_STEP_LOOKUPTABLE_BOOTS2(walkErc, walkCro)
ZMB_STEP_LOOKUPTABLE_BOOTS2(runErc, runCro)
ZMB_STEP_LOOKUPTABLE_BOOTS2(runErc, jumpErc), , surfacesound
#endif


#define ZMB_STEP_LOOKUPTABLE_SNEAKERS(movementtype)\
class ##movementtype##_Sneakers_Zmb_LookupTable\
{
//			walkErc_Sneakers_Zmb_LookupTable

#define ZMB_STEP_CLASS_SNEAKERS(movementtype,CfgSurfaceName,surfacesound)\
class ##movementtype##_##CfgSurfaceName##\
{\
	surface = ##CfgSurfaceName##;\
	soundSets[] ={##movementtype##_##surfacesound##_sneakers_Zmb_Soundset};\
}
ZMB_STEP_LOOKUPTABLE_SNEAKERS(walkErc);
ZMB_STEP_CLASS_SNEAKERS(walkErc, asphalt_ext, asphalt_ext);
ZMB_STEP_CLASS_SNEAKERS(walkErc, asphalt_destroyed_ext, asphalt_ext);
	END_TABLE;

#ifdef done
		ZMB_STEP_LOOKUPTABLE_SNEAKERS(runErc)
			ZMB_STEP_LOOKUPTABLE_SNEAKERS(sprintErc)
			ZMB_STEP_LOOKUPTABLE_SNEAKERS(landFeetErc)
			ZMB_STEP_LOOKUPTABLE_SNEAKERS(scuffErc)
#endif

#define ZMB_STEP_LOOKUPTABLE_SNEAKERS2(targetmovement)\
class ##targetmovement##_Sneakers_Zmb_LookupTable\
{
		//	walkRasErc_Sneakers_Zmb_LookupTable


ZMB_STEP_LOOKUPTABLE_SNEAKERS2(walkRasErc);
ZMB_STEP_CLASS_SNEAKERS(walkErc, asphalt_ext, asphalt_ext);
ZMB_STEP_CLASS_SNEAKERS(walkErc, asphalt_destroyed_ext, asphalt_ext);
END_TABLE;
#ifdef done
ZMB_STEP_LOOKUPTABLE_SNEAKERS2(runErc, runRasErc)
ZMB_STEP_LOOKUPTABLE_SNEAKERS2(runErc, landFootErc)
ZMB_STEP_LOOKUPTABLE_SNEAKERS2(walkErc, walkCro)
ZMB_STEP_LOOKUPTABLE_SNEAKERS2(runErc, runCro)
ZMB_STEP_LOOKUPTABLE_SNEAKERS2(runErc, jumpErc)
#endif
#define ZMB_STEP_PRONE_LOOKUPTABLE(movementtype)\
class ##movementtype##_Zmb_LookupTable\
{
//walkProne_Zmb_LookupTable

#define ZMB_STEP_PRONE_CLASS(movementtype,CfgSurfaceName, surfacesound)\
	class ##movementtype##_##CfgSurfaceName##\
	{\
	surface = ##CfgSurfaceName##;\
	soundSets[] ={##movementtype##_##surfacesound##_Zmb_Soundset};\
	}
ZMB_STEP_PRONE_LOOKUPTABLE(walkProne);
ZMB_STEP_PRONE_CLASS(walkProne, asphalt_ext, asphalt_ext);
ZMB_STEP_PRONE_CLASS(walkProne, asphalt_destroyed_ext, asphalt_destroyed_ext);
END_TABLE;
#ifdef done
		ZMB_STEP_PRONE_LOOKUPTABLE(runProne)
#endif
